<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*-------------------------------------------------------+
| Dev.Rus Theme v1.2 for PHP-Fusion v7.02.xx
| Filename: theme.php
| Author: jikaka
| Web: http://www.rusfusion.ru/
| Anpassung: R3spons4bl3
| Web: http://www.responsable.de/
|--------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3. |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "980px");
define("THEME_BULLET", "<img src='".THEME."images/bullet.png' style='padding-bottom: 1px;' alt='' />");

function WaitingObjects() {
	$AllowedGroups = array(6, 16, 102, 103);
	$Access = FALSE;
	foreach ($AllowedGroups AS $AllowedGroup) {
		if (checkgroup($AllowedGroup)) $Access = TRUE;
	}
	if ($Access == TRUE) {
		include INFUSIONS."fusion_downloads/includes/dl_core.php";
		$Count = 0;
		if (dl_access("F")) $Count += dbcount("(dl_id)",       DL,       "dl_status='1'");
		if (dl_access("B")) $Count += dbcount("(dl_error_id)", DL_ERROR, "");
		return array("Access" => TRUE, "Count" => $Count);
	} else {
		return array("Access" => FALSE);
	}
}

add_to_head("
<script type='text/javascript' src='".INCLUDES."jscript.js'></script>
<script type='text/javascript' src='".THEME."js/jquery.js'></script>
<script type='text/javascript' src='".THEME."js/bootstrap.js'></script>
<script type='text/javascript' src='".THEME."js/custom.js'></script>
");


function render_page($license=false) {
global $settings, $main_style;

	echo "<div class='full-header1' style='padding-top:40px'></div>\n";

	echo "<div class='center $main_style' style='background-color: #fff; width:".THEME_WIDTH."; box-shadow: 0 0 5px 5px #3f3f3f;-moz-box-shadow: 0 0 5px 5px #3f3f3f; /* Mozilla Firefox */-webkit-box-shadow: 0 0 5px 5px #3f3f3f; /* Google Chrome */'>\n";
	echo "<div class='floatfix'>\n";
	echo "<div class='full-header'style='float:right;position:absolute; height:50px; '>";
	echo"</div>\n";
	echo "<div class='sub-header floatfix'>\n";
	echo "<div style='float:left;padding-left:30px;padding-top:20px;'>".showbanners()."</div>\n";
	echo "<div style='float:right; '>";
	require_once THEME."functions/navigation.inc.php";
	
	
	echo"<div id='loginfeld'>";
	if (iGUEST) {
	echo "<form action='".FUSION_SELF.(FUSION_QUERY != "" ? "?".FUSION_QUERY : "")."' method='post' name='loginform' id='loginform' class='nav pull-right form-inline'>\n";
	echo "<input type='hidden' name='remember_me' id='remember_me' value='1' />\n";
	echo "<input type='text' name='user_name' id='user_name-head' placeholder='Benutzername' class='span2' />\n";
	echo "<input type='password' name='user_pass' id='user_pass-head' placeholder='Passwort' class='span2' />\n";
	echo "<input type='submit' name='login' id='login' class='btn' value='Anmelden' />\n";
	echo "<h5><a href='".BASEDIR."register.php' title='Registrieren'>Registrieren</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='".BASEDIR."lostpassword.php' title='Passwort vergessen?'>Passwort vergessen?</a></h5>\n";
	echo "</form>\n";
	} else {}
	echo"</div>";
	echo "</div>\n</div></div>\n";
	//Content
	if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }
	if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }
	echo "<div id='main-bg' class='clearfix'><div id='container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	//Footer
	echo "<div class='footer floatfix'>\n";
	echo "<div class='Footer-Section'>\n";

		echo "<div class='Footer-Column-One'>\n";
			echo "<h3>PHPFusion-Support Intern</h3>\n";
			echo "<a href='".BASEDIR."custom/nutzungsbedingungen.php' title='Allgemeine Gesch&auml;ftsbedingungen'><img src='".THEME."images/Footer/Agb.png' alt='Allgemeine Gesch&auml;ftsbedingungen' class='FooterImage' />Allgemeine Gesch&auml;ftsbedingungen</a><br />\n";
			echo "<a href='".BASEDIR."custom/privacy.php' title='Datenschutz'><img src='".THEME."images/Footer/Datenschutz.png' alt='Datenschutzerkl&auml;rung' class='FooterImage' />Datenschutzerkl&auml;rung</a><br />\n";
			echo "<a href='".BASEDIR."custom/impressum.php' title='Impressum'><img src='".THEME."images/Footer/Impressum.png' alt='Impressum' class='FooterImage' />Impressum</a><br />\n";
			echo "<a href='".BASEDIR."contact.php' title='Kontakt'><img src='".THEME."images/Footer/Kontakt.png' alt='Kontakt' class='FooterImage' />Kontakt</a><br />\n";
			echo "<a href='".BASEDIR."viewpage.php?page_id=33' title='Spenden'><img src='".THEME."images/Footer/Spenden.png' alt='Spenden' class='FooterImage' />Spenden</a><br />\n";
		echo "</div>\n";

		echo "<div class='Footer-Column-Two'>\n";
			echo "<h3>PHP-Fusion Extern</h3>\n";
			echo "<a href='http://www.php-fusion.co.uk/' title='PHP-Fusion.co.uk' target='_blank' rel='nofollow'><img src='".THEME."images/Footer/Link.png' alt='&raquo;' class='FooterImage' />PHP-Fusion.co.uk</a><br />\n";
			echo "<a href='http://next.php-fusion.co.uk/' title='PHP-Fusion Next' target='_blank' rel='nofollow'><img src='".THEME."images/Footer/Link.png' alt='&raquo;' class='FooterImage' />PHP-Fusion Next</a><br />\n";
			echo "<a href='http://next.php-fusion.co.uk/infusions/crv_report/crv_report.php' title='Copyright Versto&szlig; melden' target='_blank' rel='nofollow'><img src='".THEME."images/Footer/Link.png' alt='&raquo;' class='FooterImage' />Copyright Versto&szlig; melden</a><br />\n";
		echo "</div>\n";

		echo "<div class='Footer-Column-Three'>\n";
			echo "<h3>Letzten 5 Besucher</h3>\n";
			$locale['global_700'] = "<font color='green'><b>Online</b></font>";
			$locale['global_701'] = "<font color='red'>Offline</font>";
			$result = dbquery("SELECT user_id, user_name, user_status, user_lastvisit FROM ".DB_USERS." ORDER BY user_lastvisit DESC LIMIT 0,5");
			if (dbrows($result) != 0) {
				while ($data = dbarray($result)) {
					if ($data['user_lastvisit'] != 0) {
						$lastseen = time() - $data['user_lastvisit'];
						if ($lastseen < 180){
							$lastseen= $locale['global_700'];
						} elseif ($lastseen < 3600){
							$lastseen= $locale['global_701'];
						} else {
							$lastseen = modern_date($data['user_lastvisit']);
						}

						echo "<div class='user-online'>\n";
						echo "<div class='user-online-time'>".$lastseen."</div>\n";
						echo "<div class='user-online-name'>".profile_link($data['user_id'], trimlink($data['user_name'], 25), $data['user_status'])."</div>\n";
						echo "</div>\n";
					}
				}
			}
		echo "</div>\n";
		echo "<div class='Footer-Clear'></div>\n";

		echo "<div class='Footer-Notice'>\n";
			echo "<br />Copyright &copy; 2004-2012 PHPFusion-Support.de<br />\n";
			echo "<span class='small'>\n";
				echo showcopyright();
				echo "<a href='http://p.yusukekamiyamane.com/' title='Fugue Icons' target='_blank'>Fugue Icons</a>\n";
				if (iADMIN) echo showrendertime();
			echo "</span>\n";
		echo "</div>\n";
	echo "</div>\n";
	echo "<div style='float:left;'>\n";
	echo "Theme Dev.Rus by <a href='http://www.rusfusion.ru'>jikaka</a> Anpassung by <a href='http://www.responsable.de'>R3spons4bl3</a>\n";
	echo "</div>\n";
	echo "<div style='float:right;text-align:right;'>".stripslashes($settings['footer'])."<br/>".showcounter()."</div>\n";
	echo "</div></div>\n";

}

function render_comments($c_data, $c_info) {
	global $locale;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) {
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";
		}
			foreach($c_data as $data) {
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== FALSE) {
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();
}

function render_news($subject, $news, $info) {

	echo "<div class='capmain'><h5>$subject</h5></div>\n";
	echo "<div class='main-body floatfix'>".$info['cat_image'].$news."</div>\n";
	echo "<div class='news-footer'>\n";
	echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n";

}

function render_article($subject, $article, $info) {

	echo "<div class='capmain'><h5>$subject</h5></div>\n";
	echo "<div class='main-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='capmain'><h5><$title</h5></div>\n";
	echo "<div class='main-body floatfix'>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;

	echo "<div class='side-body-bg'>";
	echo "<div class='scapmain'><h5>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div style='float:right;'><h5>".panelbutton($state,$boxname)."</h5></div>";
	}
	echo $title."</h5></div>\n<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div></div>\n";

}
?>
